/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.ShowConfig();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('ShowConfig', function() {
    it('should create an instance of ShowConfig', function() {
      // uncomment below and update the code to test ShowConfig
      //var instane = new ftclient.ShowConfig();
      //expect(instance).to.be.a(ftclient.ShowConfig);
    });

    it('should have the property dryRun (base name: "dry_run")', function() {
      // uncomment below and update the code to test the property dryRun
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property stakeCurrency (base name: "stake_currency")', function() {
      // uncomment below and update the code to test the property stakeCurrency
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property stakeAmount (base name: "stake_amount")', function() {
      // uncomment below and update the code to test the property stakeAmount
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property availableCapital (base name: "available_capital")', function() {
      // uncomment below and update the code to test the property availableCapital
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property stakeCurrencyDecimals (base name: "stake_currency_decimals")', function() {
      // uncomment below and update the code to test the property stakeCurrencyDecimals
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property maxOpenTrades (base name: "max_open_trades")', function() {
      // uncomment below and update the code to test the property maxOpenTrades
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property minimalRoi (base name: "minimal_roi")', function() {
      // uncomment below and update the code to test the property minimalRoi
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property stoploss (base name: "stoploss")', function() {
      // uncomment below and update the code to test the property stoploss
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property trailingStop (base name: "trailing_stop")', function() {
      // uncomment below and update the code to test the property trailingStop
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property trailingStopPositive (base name: "trailing_stop_positive")', function() {
      // uncomment below and update the code to test the property trailingStopPositive
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property trailingStopPositiveOffset (base name: "trailing_stop_positive_offset")', function() {
      // uncomment below and update the code to test the property trailingStopPositiveOffset
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property trailingOnlyOffsetIsReached (base name: "trailing_only_offset_is_reached")', function() {
      // uncomment below and update the code to test the property trailingOnlyOffsetIsReached
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property useCustomStoploss (base name: "use_custom_stoploss")', function() {
      // uncomment below and update the code to test the property useCustomStoploss
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property timeframe (base name: "timeframe")', function() {
      // uncomment below and update the code to test the property timeframe
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property timeframeMs (base name: "timeframe_ms")', function() {
      // uncomment below and update the code to test the property timeframeMs
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property timeframeMin (base name: "timeframe_min")', function() {
      // uncomment below and update the code to test the property timeframeMin
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property exchange (base name: "exchange")', function() {
      // uncomment below and update the code to test the property exchange
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property strategy (base name: "strategy")', function() {
      // uncomment below and update the code to test the property strategy
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property forcebuyEnabled (base name: "forcebuy_enabled")', function() {
      // uncomment below and update the code to test the property forcebuyEnabled
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property askStrategy (base name: "ask_strategy")', function() {
      // uncomment below and update the code to test the property askStrategy
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property bidStrategy (base name: "bid_strategy")', function() {
      // uncomment below and update the code to test the property bidStrategy
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property botName (base name: "bot_name")', function() {
      // uncomment below and update the code to test the property botName
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property state (base name: "state")', function() {
      // uncomment below and update the code to test the property state
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

    it('should have the property runmode (base name: "runmode")', function() {
      // uncomment below and update the code to test the property runmode
      //var instance = new ftclient.ShowConfig();
      //expect(instance).to.be();
    });

  });

}));
